function [C] = busmatch(A,B,x)

%% A is the bus matrix having infor about buses that were assigned to windfarms and have multiple buses at same location(found through excel)
%% B is the bus matrix having infor about all buses(name,latitude and longitude)
%% x is the maximum number of buses that match the cordinates (Input through excel work) (Not needed if you use dynamic array but will
%% C will contain information of buses that have same cordinates. All buses in same row of C will have same cordinates


C = zeros(length(A),x);

for a = 1:length(A)
    % runs for number of selected buses
    k=1;
    for b = 1:length(B)
        %runs for all buses
        if A(a,2) == B(b,2)
            if A(a,3) == B(b,3)
                 C(a,k)  = B(b,1);  %If latitude and longitude match the bus is written in next available column
                 k = k+1;   %COlumn number is incremented
            end
        end
    end
end
end

